## org.apache.lucene.queryParser.core.nodes
Interface FieldableNode

All Superinterfaces:
  QueryNode, java.io.Serializable

All Known Implementing Classes:
  FieldQueryNode, FuzzyQueryNode, MultiPhraseQueryNode, ParametricQueryNode, ParametricRangeQueryNode, PhraseSlopQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, RangeQueryNode, SlopQueryNode, TokenizedPhraseQueryNode, WildcardQueryNode

    public interface FieldableNode

extends QueryNode

A query node implements `FieldableNode` interface to indicate that its children and itself are associated to a specific field. If it has any children which also implements this interface, it must ensure the children are associated to the same field.

Method Summary
`java.lang.CharSequence` `getField()` Returns the field associated to the node and every node under it.
`void` `setField(java.lang.CharSequence fieldName)` Associates the node to a field.

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTags, isLeaf, set, setTag, toQueryString, toString, unsetTag`

Method Detail

### getField

    java.lang.CharSequence getField()

  Returns the field associated to the node and every node under it.

  Returns:
    the field name

### setField

    void setField(java.lang.CharSequence fieldName)

  Associates the node to a field.

  Parameters:
    `fieldName` - the field name

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.